Index: README.dbmirror
===================================================================
RCS file: /projects/cvsroot/pgsql-server/contrib/dbmirror/README.dbmirror,v
retrieving revision 1.1
diff -w -c -r1.1 README.dbmirror
*** README.dbmirror	2002/06/23 21:58:07	1.1
--- README.dbmirror	2002/09/25 22:30:53
***************
*** 120,125 ****
--- 120,128 ----
  be mirrored.   Replace MyTableName with the name of the table that should
  be mirrored.
  
+ NOTE: DBMirror requires that every table being mirrored have a primary key
+ defined.
+ 
  5)  Create the slave database.
  
  The DBMirror system keeps the contents of mirrored tables identical on the
Index: pending.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/contrib/dbmirror/pending.c,v
retrieving revision 1.4
diff -w -c -r1.4 pending.c
*** pending.c	2002/09/05 00:43:06	1.4
--- pending.c	2002/09/25 22:30:54
***************
*** 225,230 ****
--- 225,235 ----
  
  	/* pplan = SPI_saveplan(pplan); */
  	cpKeyData = packageData(tTupleData, tTupleDesc, tpTrigData, PRIMARY);
+ 	if (cpKeyData == NULL)
+ 	{
+ 		elog(ERROR,"Could not determine primary key data");
+ 		return -1;
+ 	}
  #if defined DEBUG_OUTPUT
  	elog(NOTICE, cpKeyData);
  #endif
